POST
/v1/admin/contacts
Create Contact
curl -X POST https://api.{cluster}.{platform}.voiger.io/v1/admin/contacts \ -H "Cookie: sid=$VOIGER_SESSION" \ -H "x-workspace-code: your-workspace-code" \ -H "x-csrf-token: $CSRF_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "contact": { "first_name": "Ahmad", "last_name": "Salman", "gender": "male", "access": "public", "country": "AE", "field_1": "sample", "field_2": "field", "field_3": "value", "inbound_calls_blocked": false, "outbound_calls_blocked": false, "emails": [ { "email": "contact1@mail", "is_primary": true }, { "email": "contact2@mail", "is_primary": false } ], "phones": [ { "phone": "+94000000000", "is_primary": true }, { "phone": "+94000000002", "is_primary": false } ], "image": { "id": "3f55fcb6-084d-4b31-bd86-f6dd2195ed6a" } } }'
Parameters
x-workspace-code
string
required
in header
x-csrf-token
string
required
in header
Response
contact▾idfirst_namelast_namegenderaccesscountryfield_1field_2field_3inbound_calls_blockedoutbound_calls_blockedarchived_atemails▾emailis_primaryphones▾phoneis_primaryimage▾id